package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 上岗证一览对象 t_worklicense
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public class TWorklicense extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 员工号 */
    @Excel(name = "员工号")
    private String employeeid;

    /** 班组 */
    @Excel(name = "班组", dictType = "TEAM_DIVIDE")
    private String classes;

    /** 职务 */
    @Excel(name = "职务", dictType = "ACTUALPOST")
    private String post;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String idtype;

    /** 裂解证件号 */
    @Excel(name = "裂解证件号")
    private String crackingIdnum;

    /** 分离证件号 */
    @Excel(name = "分离证件号")
    private String separationIdnum;

    /** 压缩证件号 */
    @Excel(name = "压缩证件号")
    private String compressionIdnum;

    /** PGU/AEU证件号 */
    @Excel(name = "PGU/AEU证件号")
    private String pguaeuIdnum;

    /** 分离取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "分离取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date separationDate;

    /** 压缩取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "压缩取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date compressionDate;

    /** PGU/AEU取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "PGU/AEU取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pguaeuDate;

    /** 裂解取证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "裂解取证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date crackingDate;

    /** 裂解 */
    @Excel(name = "裂解", dictType = "YES_NO_EN")
    private String boiler;

    /** 压缩 */
    @Excel(name = "压缩", dictType = "YES_NO_EN")
    private String cracking;

    /** 分离 */
    @Excel(name = "分离", dictType = "YES_NO_EN")
    private String hotarea;

    /** PGU */
    @Excel(name = "PGU", dictType = "YES_NO_EN")
    private String coldarea;

    /** AEU */
    @Excel(name = "AEU", dictType = "YES_NO_EN")
    private String aromatic;

    /** 取复证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "取复证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recertificatedate;

    /** 证书有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "证书有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validity;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 无上岗证 */
    private String notHave;

    /** 证书有效期即将到期 */
    private String expiring;

    /** 到期时间 */
    private Date expiringDate;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setEmployeeid(String employeeid)
    {
        this.employeeid = employeeid;
    }

    public String getEmployeeid()
    {
        return employeeid;
    }
    public void setClasses(String classes)
    {
        this.classes = classes;
    }

    public String getClasses()
    {
        return classes;
    }
    public void setPost(String post)
    {
        this.post = post;
    }

    public String getPost()
    {
        return post;
    }
    public void setIdtype(String idtype)
    {
        this.idtype = idtype;
    }

    public String getIdtype()
    {
        return idtype;
    }
    public void setCrackingIdnum(String crackingIdnum) { this.crackingIdnum = crackingIdnum; }

    public String getCrackingIdnum() { return crackingIdnum; }
    public void setBoiler(String boiler)
    {
        this.boiler = boiler;
    }

    public String getBoiler()
    {
        return boiler;
    }
    public void setCracking(String cracking)
    {
        this.cracking = cracking;
    }

    public String getCracking()
    {
        return cracking;
    }
    public void setHotarea(String hotarea)
    {
        this.hotarea = hotarea;
    }

    public String getHotarea()
    {
        return hotarea;
    }
    public void setColdarea(String coldarea)
    {
        this.coldarea = coldarea;
    }

    public String getColdarea()
    {
        return coldarea;
    }
    public void setAromatic(String aromatic)
    {
        this.aromatic = aromatic;
    }

    public String getAromatic()
    {
        return aromatic;
    }
    public void setRecertificatedate(Date recertificatedate)
    {
        this.recertificatedate = recertificatedate;
    }

    public Date getRecertificatedate()
    {
        return recertificatedate;
    }
    public void setValidity(Date validity)
    {
        this.validity = validity;
    }

    public Date getValidity()
    {
        return validity;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setSeparationIdnum(String separationIdnum) { this.separationIdnum = separationIdnum; }

    public String getSeparationIdnum() { return separationIdnum; }
    public void setCompressionIdnum(String compressionIdnum) { this.compressionIdnum = compressionIdnum; }

    public String getCompressionIdnum() { return compressionIdnum; }
    public void setPguaeuIdnum(String pguaeuIdnum) { this.pguaeuIdnum = pguaeuIdnum; }

    public String getPguaeuIdnum() { return pguaeuIdnum; }
    public void setSeparationDate(Date separationDate) { this.separationDate = separationDate; }

    public Date getSeparationDate() { return separationDate; }
    public void setCompressionDate(Date compressionDate) { this.compressionDate = compressionDate; }

    public Date getCompressionDate() { return compressionDate; }
    public void setPguaeuDate(Date pguaeuDate) { this.pguaeuDate = pguaeuDate; }

    public Date getPguaeuDate() { return pguaeuDate; }
    public void setCrackingDate(Date crackingDate) { this.crackingDate = crackingDate; }

    public Date getCrackingDate() { return crackingDate; }
    public String getNotHave() { return notHave; }

    public void setNotHave(String notHave) { this.notHave = notHave; }
    public String getExpiring() { return expiring; }

    public void setExpiring(String expiring) { this.expiring = expiring; }
    public Date getExpiringDate() { return expiringDate; }

    public void setExpiringDate(Date expiringDate) { this.expiringDate = expiringDate; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("name", getName())
                .append("employeeid", getEmployeeid())
                .append("classes", getClasses())
                .append("post", getPost())
                .append("idtype", getIdtype())
                .append("crackingIdnum", getCrackingIdnum())
                .append("boiler", getBoiler())
                .append("cracking", getCracking())
                .append("hotarea", getHotarea())
                .append("coldarea", getColdarea())
                .append("aromatic", getAromatic())
                .append("recertificatedate", getRecertificatedate())
                .append("validity", getValidity())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("deptId", getDeptId())
                .append("separationIdnum", getSeparationIdnum())
                .append("compressionIdnum", getCompressionIdnum())
                .append("pguaeuIdnum", getPguaeuIdnum())
                .append("separationDate", getSeparationDate())
                .append("compressionDate", getCompressionDate())
                .append("pguaeuDate", getPguaeuDate())
                .append("crackingDate", getCrackingDate())
                .toString();
    }
}
